From khali@linux-fr.org Thu Jun 23 14:47:09 2005
Date: Thu, 23 Jun 2005 23:43:00 +0200
From: Jean Delvare <khali@linux-fr.org>
To: Greg KH <greg@kroah.com>
Subject: I2C: drop bogus eeprom comment
Message-Id: <20050623234300.345056cb.khali@linux-fr.org>

This simple patch drops an out-of-date comment in the eeprom i2c chip
driver.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/i2c/chips/eeprom.c |    3 ---
 1 files changed, 3 deletions(-)

--- gregkh-2.6.orig/drivers/i2c/chips/eeprom.c	2005-06-29 07:55:18.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/eeprom.c	2005-07-01 14:44:11.000000000 -0700
@@ -173,9 +173,6 @@
 					    | I2C_FUNC_SMBUS_BYTE))
 		goto exit;
 
-	/* OK. For now, we presume we have a valid client. We now create the
-	   client structure, even though we cannot fill it completely yet.
-	   But it allows us to access eeprom_{read,write}_value. */
 	if (!(data = kmalloc(sizeof(struct eeprom_data), GFP_KERNEL))) {
 		err = -ENOMEM;
 		goto exit;
